Package: org.gradle.nativebinaries.plugins

## [Java] Class Rules

- org.gradle.nativebinaries.plugins.NativeComponentModelPlugin.Rules

- Model rules.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `applyHeaderSourceSetConventions(ProjectSourceSet sources)`
    `void` | `createDefaultFlavor(FlavorContainer flavors)`
    `void` | `createDefaultPlatforms(PlatformContainer platforms)`
    `void` | `createDefaultPlatforms(BuildTypeContainer buildTypes)`
    `void` | `createDefaultToolChain(ToolChainRegistryInternal toolChains)`
    `void` | `createNativeBinaries(BinaryContainer binaries, NamedDomainObjectSet<NativeComponentSpec> nativeComponents, LanguageRegistry languages, ToolChainRegistryInternal toolChains, PlatformContainer platforms, BuildTypeContainer buildTypes, FlavorContainer flavors, ServiceRegistry serviceRegistry, File buildDir)`
    `void` | `registerExtensions(ExtensionContainer extensions, PlatformContainer platforms, BuildTypeContainer buildTypes, FlavorContainer flavors)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Finalize public void applyHeaderSourceSetConventions(ProjectSourceSet sources)

    - #### @Finalize public void createDefaultFlavor(FlavorContainer flavors)

    - #### @Finalize public void createDefaultPlatforms(PlatformContainer platforms)

    - #### @Finalize public void createDefaultPlatforms(BuildTypeContainer buildTypes)

    - #### @Finalize public void createDefaultToolChain(ToolChainRegistryInternal toolChains)

    - #### @Mutate public void createNativeBinaries(BinaryContainer binaries, NamedDomainObjectSet<NativeComponentSpec> nativeComponents, LanguageRegistry languages, ToolChainRegistryInternal toolChains, PlatformContainer platforms, BuildTypeContainer buildTypes, FlavorContainer flavors, ServiceRegistry serviceRegistry, @Path("buildDir") File buildDir)

    - #### @Mutate public void registerExtensions(ExtensionContainer extensions, PlatformContainer platforms, BuildTypeContainer buildTypes, FlavorContainer flavors)